services:
    mopa_bootstrap.examplemenu_builder:
        class: Mopa\Bundle\BootstrapSandboxBundle\Navbar\Example\MenuBuilder
        arguments: ["@knp_menu.factory"]

    mopa_bootstrap.examplemenu:
        class: Knp\Menu\MenuItem # the service definition requires setting the class
        factory_service: mopa_bootstrap.examplemenu_builder
        factory_method: createMainMenu
        arguments: ["@request"]
        scope: request # needed as we have the request as a dependency here
        tags:
            - { name: knp_menu.menu, alias: examplemain } # The alias is what is used to retrieve the menu

    mopa_bootstrap.exampledropdown:
        class: Knp\Menu\MenuItem # the service definition requires setting the class
        factory_service: mopa_bootstrap.examplemenu_builder
        factory_method: createRightSideDropdownMenu
        arguments: ["@request", "@liip_theme.active_theme"]
        scope: request # needed as we have the request as a dependency here
        tags:
            - { name: knp_menu.menu, alias: exampledropdown } # The alias is what is used to retrieve the menu

    mopa_bootstrap.examplenavbarsubnavmenu:
        class: Knp\Menu\MenuItem # the service definition requires setting the class
        factory_service: mopa_bootstrap.examplemenu_builder
        factory_method: createNavbarsSubnavMenu
        arguments: ["@request"]
        scope: request # needed as we have the request as a dependency here
        tags:
            - { name: knp_menu.menu, alias: examplemainsubnav } # The alias is what is used to retrieve the menu

    mopa_bootstrap.examplecomponentssubnavmenu:
        class: Knp\Menu\MenuItem # the service definition requires setting the class
        factory_service: mopa_bootstrap.examplemenu_builder
        factory_method: createComponentsSubnavMenu
        arguments: ["@request"]
        scope: request # needed as we have the request as a dependency here
        tags:
            - { name: knp_menu.menu, alias: examplemainsubnav } # The alias is what is used to retrieve the menu
            